import SolidElement from '../../internal/solid-element.js';
export default class SdCarouselItem extends SolidElement {
    static isCarouselItem(node: Node): boolean;
    connectedCallback(): void;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-6-22-0-carousel-item': SdCarouselItem;
    }
}
